View Issue Details

IDProjectCategoryView StatusLast Update
0003084CentOS-5yumpublic2008-09-05 15:54
Reporteruser430Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status feedbackResolutionopen 
Product Version5.2 
Summary0003084: yum Testing tracking bug: Report all problems here.
DescriptionThis is a tracking bug for testing of yum-3.2.17. Please report any problems you have with that version here.

Packages have now been updated to yum-3.2.19-6
TagsNo tags attached.

Relationships

related to 0002934 resolveduser430 /usr/sbin/apxs cannot open config_vars.mk 
related to 0002962 newkbsingh@karan.org xulrunner-1.9-1.el5 package reports conflict with itself 
parent of 0003092 acknowledgedkbsingh@karan.org SyntaxError in yum-utils-1.1.14-0_beta_15_2.el5.centos (from c5-testing) 
Not all the children of this issue are yet resolved or closed.

Activities

user1999

2008-08-25 11:46

  ~0007860

Freshly installed Centos 5.2, all updates applied from 5.2/updates, replaced yum with the one from testing and also added a couple of plugins.
After installing yum-skip-broken.noarch 0:1.1.14-0_beta_15_2.el5.centos, yum crashes constantly:

[root@pc39 yum.repos.d]# yum -y list yum-\*
Loaded plugins: fastestmirror, merge-conf, skip-broken
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 243, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 98, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 184, in getOptionsConfig
    enabled_plugins=self.optparser._splitArg(opts.enableplugins))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 183, in _getConfig
    startupconf.pluginconfpath,disabled_plugins,enabled_plugins)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 347, in doPluginSetup
    plugin_types, confpath, disabled_plugins, enabled_plugins)
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 160, in __init__
    self.run('config')
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 176, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/skip-broken.py", line 110, in config_hook
    help="skip packages with broken dependencies")
  File "/usr/lib64/python2.4/optparse.py", line 936, in add_option
    self._check_conflict(option)
  File "/usr/lib64/python2.4/optparse.py", line 911, in _check_conflict
    option)
optparse.OptionConflictError: option --skip-broken: conflicting option string(s): --skip-broken

# rpm -qa yum\*
yum-3.2.17-0_beta_18_2.el5.centos
yum-skip-broken-1.1.14-0_beta_15_2.el5.centos
yum-metadata-parser-1.1.2-2.el5
yum-utils-1.1.14-0_beta_15_2.el5.centos
yum-merge-conf-1.1.10-9.el5.centos
yum-updatesd-0.9-2.el5
yum-fastestmirror-1.1.14-0_beta_15_2.el5.centos

# uname -a
Linux pc39 2.6.18-92.1.10.el5 #1 SMP Tue Aug 5 07:42:41 EDT 2008 x86_64 x86_64 x86_64 GNU/Linux
toracat

toracat

2008-08-25 11:56

manager   ~0007861

Please note that the issues on this version of yum has been discussed in this mailing list thread:

http://lists.centos.org/pipermail/centos-devel/2008-August/003108.html

The skip-broken problem is also reported there.

Akemi
BillMaltby

BillMaltby

2008-08-26 13:48

reporter   ~0007862

From a test update run:

Processing Dependency: python-dateutil for package: yum-changelog

AFAICT, python-dateutil is only available from rpmforge (in re. to a standard CentOS setup). Since some/many users may not have rpmforge enabled, the yum update fails. I tested this with

   yum --disablerepo=\* --enablerepo=c5-testing update yum\*

and got

   --> Finished Dependency Resolution
    Error: Missing Dependency: python-dateutil is needed by package
        yum-changelog

Then a

    yum --enablerepo=\* --disablerepo=rpmforge --disablerepo=kikinovak \
     --disablerepo=c5-media list available >/tmp/yumavail

and a search for dateutil in the output file shows none available.

Since the initial failure gives no clue to the end user as to which repository is needed, this would likely generate noise on the lists. I'm not sure how one would address this with a preemptive strike of some kind. Maybe a mention in the announce when the new yum stuff is released? It would seem better to have the python-dateutil in one of the normally enabled repos that are released in the base CentOS distribution.
toracat

toracat

2008-08-27 00:48

manager   ~0007866

These issues were reported earlier on the mailing list and, in addition, the known problem related to multiarch was well discussed there. In stead of repeating them here, I will provide the link once again:

http://lists.centos.org/pipermail/centos-devel/2008-August/003108.html

Akemi

Issue History

Date Modified Username Field Change
2008-08-25 11:38 user430 New Issue
2008-08-25 11:38 user430 Status new => feedback
2008-08-25 11:46 user1999 Note Added: 0007860
2008-08-25 11:56 toracat Note Added: 0007861
2008-08-26 13:48 BillMaltby Note Added: 0007862
2008-08-27 00:48 toracat Note Added: 0007866
2008-08-29 08:18 user430 Relationship added parent of 0003092
2008-09-03 12:12 kbsingh@karan.org Summary yum 3.2.17 tracking bug: Report all problems here. => yum Testing tracking bug: Report all problems here.
2008-09-03 12:12 kbsingh@karan.org Description Updated
2008-09-05 15:53 toracat Relationship added related to 0002934
2008-09-05 15:54 toracat Relationship added related to 0002962